Name: task-sugar
Version: 0.120
Release: %mkrel 4
Summary: Sugar Platform
License: GPL
Group: Graphical desktop/Other
Url: https://sugarlabs.org/
BuildArch: noarch
Requires: csound
Requires: python3-csound
Requires: sugar-fructose >= 0.120
Requires: sugar-glucose >= 0.120
Requires: libxml2-python3
Requires: python3-numpy
Obsoletes: sugar-runner <= 0.110.0

%description
The Sugar Platform is a set of versioned components on which activity
authors can rely when targeting their activities to run on a particular
Sugar version.

Installing Sugar Platform should mean for user that he can download activities
from https://activities.sugarlabs.org/ and they won't be failed due to
missed dependencies.

%files


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.120-4.mga10
+ Revision: 2220776
- Mageia 10 Mass Rebuild

* Tue Dec 19 2023 papoteur <papoteur> 0.120-3.mga10
+ Revision: 2019217
- Mass Rebuild - Python 3.12

* Tue Oct 17 2023 papoteur <papoteur> 0.120-2.mga10
+ Revision: 1998356
- remove sugar-runner, obsoleted

* Mon Jan 16 2023 daviddavid <daviddavid> 0.120-1.mga9
+ Revision: 1933888
- new version: 0.120

* Mon Mar 21 2022 umeabot <umeabot> 0.112-6.mga9
+ Revision: 1812216
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 18 2020 umeabot <umeabot> 0.112-5.mga8
+ Revision: 1541772
- Mageia 8 Mass Rebuild

* Wed Jan 01 2020 wally <wally> 0.112-4.mga8
+ Revision: 1475106
- update requires

* Tue Oct 02 2018 pterjan <pterjan> 0.112-3.mga7
+ Revision: 1314621
- Fix release
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild
+ tarakbumba <tarakbumba>
- Rebuild for new python-pygame requires

* Wed Jan 03 2018 zezinho <zezinho> 0.112-1.mga7
+ Revision: 1189946
- upgrade sugar to 0.112

* Wed Jan 03 2018 zezinho <zezinho> 0.110.0-1.mga7
+ Revision: 1189934
- upgrade to 0.110.0

* Mon Jan 18 2016 zezinho <zezinho> 0.107.0-1.mga6
+ Revision: 925386
- new version

* Wed Oct 15 2014 umeabot <umeabot> 0.101.0-3.mga5
+ Revision: 746343
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.101.0-2.mga5
+ Revision: 689718
- Mageia 5 Mass Rebuild

* Wed May 28 2014 zezinho <zezinho> 0.101.0-1.mga5
+ Revision: 627313
- new version ses runner

* Fri Oct 18 2013 umeabot <umeabot> 0.96.0-3.mga4
+ Revision: 519507
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.96.0-2.mga3
+ Revision: 384111
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 zezinho <zezinho> 0.96.0-1.mga3
+ Revision: 320238
- add sugar-emulator as suggest
- new version

* Thu Mar 15 2012 zezinho <zezinho> 0.95.1-2.mga2
+ Revision: 223528
- make the task-sugar noarch fixes #4955

* Thu Nov 17 2011 zezinho <zezinho> 0.95.1-1.mga2
+ Revision: 168402
- target new version
+ ennael <ennael>
- imported package task-sugar


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.88.0-2mdv2011.0
+ Revision: 615115
- the mass rebuild of 2010.1 packages

* Sun Apr 04 2010 Aleksey Lim <alsroot@mandriva.org> 0.88.0-1mdv2010.1
+ Revision: 531211
- Sucrose 0.88.0 release

* Mon Oct 12 2009 Aleksey Lim <alsroot@mandriva.org> 0.86.2-1mdv2010.0
+ Revision: 456985
- Push 0.86.2

* Fri Sep 25 2009 Aleksey Lim <alsroot@mandriva.org> 0.86.0-1mdv2010.0
+ Revision: 449013
- Update to 0.86.0

* Sat Sep 19 2009 Aleksey Lim <alsroot@mandriva.org> 0.85.7-1mdv2010.0
+ Revision: 444552
- Update to 0.85.7

* Tue Aug 11 2009 Aleksey Lim <alsroot@mandriva.org> 0.85.2-2mdv2010.0
+ Revision: 415111
+ rebuild (emptylog)

* Tue Aug 11 2009 Aleksey Lim <alsroot@mandriva.org> 0.85.2-1mdv2010.0
+ Revision: 414981
- Sucrose 0.85.2

* Mon Apr 06 2009 Aleksey Lim <alsroot@mandriva.org> 0.84.2-1mdv2009.1
+ Revision: 364295
- Sucrose 0.84.2 release

* Wed Mar 25 2009 Aleksey Lim <alsroot@mandriva.org> 0.84.1-2mdv2009.1
+ Revision: 361027
+ rebuild (emptylog)

* Sat Mar 21 2009 Aleksey Lim <alsroot@mandriva.org> 0.84.1-1mdv2009.1
+ Revision: 360051
- update version to 0.84.1

* Fri Mar 20 2009 Aleksey Lim <alsroot@mandriva.org> 0.84.0-3mdv2009.1
+ Revision: 359195
- update description

* Fri Mar 13 2009 Aleksey Lim <alsroot@mandriva.org> 0.84.0-2mdv2009.1
+ Revision: 354564
- add python-olpcsound dependency

* Fri Mar 13 2009 Aleksey Lim <alsroot@mandriva.org> 0.84.0-1mdv2009.1
+ Revision: 354534
- Update Sucrose to 0.84.0; add Sugar Platform dependencies

* Thu Feb 19 2009 Aleksey Lim <alsroot@mandriva.org> 0.83.5-1mdv2009.1
+ Revision: 342776
- Initial commit

